package com.template.services;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.evaluate.student.SmartTemplateRule;
import com.template.model.result.PageUtils;
import com.template.model.vo.TemplateRuleVo;

import java.util.List;

/**
 * <p>
 * 平分项管理 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-03-14
 */
public interface SmartTemplateRuleService extends IService<SmartTemplateRule> {

    int insertSmartTemplateRule(SmartTemplateRule sa);

    int updateSmartTemplateRule(SmartTemplateRule sa);

    PageUtils<SmartTemplateRule> queryPageSmartTemplateRule(int currentPage, int pageCount, QueryWrapper<SmartTemplateRule> queryWrapper);

    int deleteSmartTemplateRuleById(int id);

    SmartTemplateRule getSmartTemplateRuleById(int id);

    List<SmartTemplateRule> getSmartTemplateRuleList();

    List<SmartTemplateRule> getSmartTemplateRuleByKey(QueryWrapper<SmartTemplateRule> queryWrapper);

    List<TemplateRuleVo> queryTemplateRuleByIds(List<Integer> gradeIds, List<Integer> termIds);
}
